commit d6a03ddd63ca49029934fb25625f83108383d4c9
Author: freddy77 <freddy77>
Date:   Sun Aug 17 07:27:16 2008 +0000

    rollback change to make blob1 test work again

diff --git a/ChangeLog b/ChangeLog
index 2a71736..3f4a831 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Sun Aug 17 09:26:47 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/odbc.c: rollback change to make blob1 test work again
+
 Sat Aug 16 20:08:03 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/tds/query.c: do not loose sync on conversion errors
 
@@ -548,4 +551,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2586 2008/08/16 18:08:22 freddy77 Exp $
+$Id: ChangeLog,v 1.2587 2008/08/17 07:27:16 freddy77 Exp $
diff --git a/src/odbc/odbc.c b/src/odbc/odbc.c
index 1de1ae5..f721acc 100644
--- a/src/odbc/odbc.c
+++ b/src/odbc/odbc.c
@@ -60,7 +60,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: odbc.c,v 1.489 2008/08/16 14:48:57 freddy77 Exp $");
+TDS_RCSID(var, "$Id: odbc.c,v 1.490 2008/08/17 07:27:16 freddy77 Exp $");
 
 static SQLRETURN _SQLAllocConnect(SQLHENV henv, SQLHDBC FAR * phdbc);
 static SQLRETURN _SQLAllocEnv(SQLHENV FAR * phenv);
@@ -6022,7 +6022,7 @@ SQLPutData(SQLHSTMT hstmt, SQLPOINTER rgbValue, SQLLEN cbValue)
 		SQLRETURN ret;
 		const TDSCOLUMN *curcol = stmt->params->columns[stmt->param_num - (stmt->prepared_query_is_func ? 2 : 1)];
 		/* TODO do some more tests before setting this flag */
-		stmt->param_data_called = curcol->column_size == curcol->column_cur_size;
+		stmt->param_data_called = 1;
 		ret = continue_parse_prepared_query(stmt, rgbValue, cbValue);
 		tdsdump_log(TDS_DBG_FUNC, "SQLPutData returns %s, %d bytes left\n", 
 					  odbc_prret(ret), curcol->column_size - curcol->column_cur_size);

